import { DocumentNode, QueryResult } from '@apollo/client';
import { RemoteData } from './rd';
export declare type QueryResultWithRemoteData<T> = QueryResult & {
    _rd: RemoteData<T>;
};
/**
 * @description Maps a `useQuery` QueryResult to the appropriate RemoteData discriminant
 * @param d DocumentNode
 * @returns Everything from `QueryResult` with an accompanying `_rd` property wth the RemoteData object
 */
export declare const useQueryRd: <T>(d: DocumentNode) => QueryResultWithRemoteData<T>;
//# sourceMappingURL=useQueryRd.d.ts.map